> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneclickapply.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Application Details

> Gets details of an application based on the ID supplied



## OpenAPI

````yaml GET /api/v1/app/{app_id}
openapi: 3.0.1
info:
  title: One Click Apply API
  description: An API for applying to any job
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.oneclickapply.co/
security: []
paths:
  /api/v1/app/{app_id}:
    get:
      description: Gets details of an application based on the ID supplied
      parameters:
        - name: API-Key
          in: header
          description: User's API key
          required: true
          schema:
            type: string
        - name: app_id
          in: path
          description: ID of application to get details
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Application'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Application:
      required:
        - app_id
        - app_url
        - status
        - status_code
        - ai_response
        - time
      type: object
      properties:
        app_id:
          description: The ID of the application in our records.
          type: integer
        app_url:
          description: The URL of the job applied to.
          type: string
        status:
          description: >-
            The status of the application. There are three possible values:
            `FAILED`, `SUCCESSFUL` and `IN PROGRESS`.
          type: string
        status_code:
          description: The status code of the application.
          type: integer
        ai_response:
          description: A list of the submitted responses to the application.
          type: array
        time:
          description: The timestamp of the application status.
          type: string
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          description: Error code
          type: integer
          format: int32
        message:
          description: Messagr from server - usually success or error
          type: string

````